% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.R
\name{evaluate_comp_simple}
\alias{evaluate_comp_simple}
\alias{evaluate_comp_simple.component_list}
\alias{evaluate_comp_simple.bru_model}
\title{Compute simplified component mappings}
\usage{
evaluate_comp_simple(...)

\method{evaluate_comp_simple}{component_list}(components, input, inla_f = FALSE, ...)

\method{evaluate_comp_simple}{bru_model}(model, input, ...)
}
\arguments{
\item{input}{A list of named lists of component inputs}

\item{inla_f}{Controls the input data interpretations}

\item{model}{A \code{bru_model} object}
}
\value{
A list (class 'comp_simple_list_list') of named lists (class 'comp_simple_list')
of \code{bru_mapper} objects,
one for each included component
}
\description{
Computes individual \code{bru_mapper_taylor} objects for included linear components
for each model likelihood, and keeps non-linear mappers intact.
}
\keyword{internal}
