% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fmesher_crs.R, R/fmesher_sf_mesh.R,
%   R/fmesher_sp_mesh.R
\name{fm_as_sp_crs}
\alias{fm_as_sp_crs}
\alias{fm_as_sfc}
\alias{fm_as_inla_mesh_segment}
\alias{fm_as_inla_mesh}
\alias{fm_as_sfc.inla.mesh}
\alias{fm_as_inla_mesh.sfc_MULTIPOLYGON}
\alias{fm_as_inla_mesh_segment.sfc_POINT}
\alias{fm_as_inla_mesh_segment.sfc_LINESTRING}
\alias{fm_as_inla_mesh_segment.sfc_POLYGON}
\alias{fm_as_inla_mesh_segment.sf}
\alias{fm_as_inla_mesh.sf}
\alias{fm_sp2segment}
\alias{fm_as_inla_mesh_segment.matrix}
\alias{fm_as_inla_mesh_segment.SpatialPoints}
\alias{fm_as_inla_mesh_segment.SpatialPointsDataFrame}
\alias{fm_as_inla_mesh_segment.Line}
\alias{fm_as_inla_mesh_segment.Lines}
\alias{fm_as_inla_mesh_segment.SpatialLines}
\alias{fm_as_inla_mesh_segment.SpatialLinesDataFrame}
\alias{fm_as_inla_mesh_segment.SpatialPolygons}
\alias{fm_as_inla_mesh_segment.SpatialPolygonsDataFrame}
\alias{fm_as_inla_mesh_segment.Polygons}
\alias{fm_as_inla_mesh_segment.Polygon}
\title{Coercion methods to and from meshes}
\usage{
fm_as_sp_crs(x, ...)

fm_as_sfc(x)

fm_as_inla_mesh_segment(...)

fm_as_inla_mesh(...)

\method{fm_as_sfc}{inla.mesh}(x, ...)

\method{fm_as_inla_mesh}{sfc_MULTIPOLYGON}(x, ...)

\method{fm_as_inla_mesh_segment}{sfc_POINT}(x, reverse = FALSE, grp = NULL, is.bnd = TRUE, ...)

\method{fm_as_inla_mesh_segment}{sfc_LINESTRING}(x, join = TRUE, grp = NULL, reverse = FALSE, ...)

\method{fm_as_inla_mesh_segment}{sfc_POLYGON}(x, join = TRUE, grp = NULL, ...)

\method{fm_as_inla_mesh_segment}{sf}(x, reverse = FALSE, grp = NULL, is.bnd = TRUE, ...)

\method{fm_as_inla_mesh}{sf}(x, ...)

fm_sp2segment(sp, ...)

\method{fm_as_inla_mesh_segment}{matrix}(
  sp,
  reverse = FALSE,
  grp = NULL,
  is.bnd = FALSE,
  crs = NULL,
  closed = FALSE,
  ...
)

\method{fm_as_inla_mesh_segment}{SpatialPoints}(
  sp,
  reverse = FALSE,
  grp = NULL,
  is.bnd = TRUE,
  closed = FALSE,
  ...
)

\method{fm_as_inla_mesh_segment}{SpatialPointsDataFrame}(sp, ...)

\method{fm_as_inla_mesh_segment}{Line}(sp, reverse = FALSE, grp = NULL, crs = NULL, ...)

\method{fm_as_inla_mesh_segment}{Lines}(sp, join = TRUE, grp = NULL, crs = NULL, ...)

\method{fm_as_inla_mesh_segment}{SpatialLines}(sp, join = TRUE, grp = NULL, ...)

\method{fm_as_inla_mesh_segment}{SpatialLinesDataFrame}(sp, ...)

\method{fm_as_inla_mesh_segment}{SpatialPolygons}(sp, join = TRUE, grp = NULL, ...)

\method{fm_as_inla_mesh_segment}{SpatialPolygonsDataFrame}(sp, ...)

\method{fm_as_inla_mesh_segment}{Polygons}(sp, join = TRUE, crs = NULL, grp = NULL, ...)

\method{fm_as_inla_mesh_segment}{Polygon}(sp, crs = NULL, ...)
}
\arguments{
\item{x}{An object to be coerced/transformed/converted into another class}

\item{...}{Arguments passed on to other methods}

\item{reverse}{logical; When TRUE, reverse the order of the input points.
Default \code{FALSE}}

\item{grp}{if non-null, should be an integer vector of grouping labels for
one for each segment.
Default \code{NULL}}

\item{is.bnd}{logical; if \code{TRUE}, set the boundary flag for the segments.
Default \code{TRUE}}

\item{join}{logical; if \code{TRUE}, join input segments with common vertices.
Default \code{TRUE}}

\item{sp}{An \code{sp} style S4 object to be converted}

\item{crs}{A crs object}

\item{closed}{logical; whether to treat a point sequence as a closed polygon.
Default: \code{FALSE}}
}
\value{
\itemize{
\item \code{fm_as_sfc}: An \code{sfc_MULTIPOLYGON} object
}

\itemize{
\item \code{fm_as_inla_mesh}: An \code{inla.mesh} mesh object
}
}
\description{
Coercion methods to and from meshes
}
